org.apache.mina.util.byteaccess

## Interface IoRelativeWriter

- All Known Subinterfaces:
    ByteArray.Cursor
  All Known Implementing Classes:
    CompositeByteArrayRelativeWriter

      public interface IoRelativeWriter

  Provides relative read access to a sequence of bytes.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getRemaining()` Gets the number of remaining bytes that can be read.
    `boolean` | `hasRemaining()` Checks if there are any remaining bytes that can be read.
    `ByteOrder` | `order()` Gets the order of the bytes.
    `void` | `put(byte b)` Puts a `byte` and advances the reader.
    `void` | `put(IoBuffer bb)` Puts enough bytes to fill the `IoBuffer` and advances the reader.
    `void` | `putChar(char c)` Puts a `char` and advances the reader.
    `void` | `putDouble(double d)` Puts a `double` and advances the reader.
    `void` | `putFloat(float f)` Puts a `float` and advances the reader.
    `void` | `putInt(int i)` Puts an `int` and advances the reader.
    `void` | `putLong(long l)` Puts a `long` and advances the reader.
    `void` | `putShort(short s)` Puts a `short` and advances the reader.
    `void` | `skip(int length)` Advances the writer by the given number of bytes.

- - ### Method Detail

    - #### getRemaining

          int getRemaining()

      Gets the number of remaining bytes that can be read.

    - #### hasRemaining

          boolean hasRemaining()

      Checks if there are any remaining bytes that can be read.

    - #### skip

          void skip(int length)

      Advances the writer by the given number of bytes.

    - #### order

          ByteOrder order()

      Gets the order of the bytes.

    - #### put

          void put(byte b)

      Puts a `byte` and advances the reader.

    - #### put

          void put(IoBuffer bb)

      Puts enough bytes to fill the `IoBuffer` and advances the reader.

    - #### putShort

          void putShort(short s)

      Puts a `short` and advances the reader.

    - #### putInt

          void putInt(int i)

      Puts an `int` and advances the reader.

    - #### putLong

          void putLong(long l)

      Puts a `long` and advances the reader.

    - #### putFloat

          void putFloat(float f)

      Puts a `float` and advances the reader.

    - #### putDouble

          void putDouble(double d)

      Puts a `double` and advances the reader.

    - #### putChar

          void putChar(char c)

      Puts a `char` and advances the reader.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.